### Function

# Gck Attribute new_ulong

#### Declaration [src]

    GckAttribute*
    gck_attribute_new_ulong (
      gulong attr_type,
      gulong value
    )

#### Description [src]

Initialize a PKCS#11 attribute to a unsigned long. This will result in a `CK_ULONG` attribute from the PKCS#11 specs.

#### Parameters

`attr_type`

  Type: `gulong`

  The PKCS#11 attribute type to set on the attribute.

`value`

  Type: `gulong`

  The ulong value of the attribute.

#### Return value

Type: `GckAttribute`

The new attribute; when done with the attribute u `gck_attribute_free()` to free it.

The caller of the function takes ownership of the data, and is responsible for freeing it.